Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Name_Space_T.h File Reference

`#include "ace/Name_Space.h"`
`#include "ace/Naming_Context.h"`
`#include "ace/SString.h"`
`#include "ace/Local_Name_Space.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Local_Name_Space_T.cpp"`

Include dependency graph for Local_Name_Space_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Local_Name_Space
| Maintaining accesses Local Name Server Database. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...
class | ACE_Name_Space_Map
| This class serves as a Proxy that ensures our process always has the appropriate allocator in place for every operation that accesses or updates the Map Manager. More...
## Typedefs
typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_WSTRING_SET
typedef ACE_Hash_Map_Manager_Ex< ACE_NS_String, ACE_NS_Internal, ACE_Hash< ACE_NS_String >, ACE_Equal_To< ACE_NS_String >, ACE_Null_Mutex > | MAP_MANAGER
typedef MAP_MANAGER::ITERATOR | MAP_ITERATOR
typedef MAP_MANAGER::ENTRY | MAP_ENTRY

## Detailed Description

Id:
  Local_Name_Space_T.h,v 4.36 2003/08/04 03:53:51 dhinton Exp

Author:
  Prashant Jain <pjain@cs.wustl.edu> , Irfan Pyarali <irfan@wuerl.wustl.edu> and , Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_WSTRING_SET

| A short-hand name for our set of name/value/type tuples passed back to callers.

typedef MAP_MANAGER::ENTRY MAP_ENTRY

typedef MAP_MANAGER::ITERATOR MAP_ITERATOR

typedef ACE_Hash_Map_Manager_Ex<ACE_NS_String, ACE_NS_Internal, ACE_Hash<ACE_NS_String>, ACE_Equal_To<ACE_NS_String>, ACE_Null_Mutex> MAP_MANAGER